## Apache Zeta Components Manual :: Docs For Class ezcConsoleException

### ConsoleTools::ezcConsoleException

### Class ezcConsoleException

General exception container for the ConsoleTools component.

Source for this file: /ConsoleTools/src/exceptions/exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcConsoleException

Version: | //autogen//

### Descendants

Child Class | Description
--- | ---
ezcConsoleOptionStringNotWellformedException | The option definition string supplied is not wellformed.
ezcConsoleNoPositionStoredException | 'Cannot restore position, if no position has been stored before.'.
ezcConsoleNoValidDialogResultException | Thrown if ezcConsoleDialog::getResult() is called before a valid result was received.
ezcConsoleOptionAlreadyRegisteredException | The option name you tried to register is already in use.
ezcConsoleArgumentException | General exception container for the ConsoleTools component referring to argument handling.
ezcConsoleDialogAbortException | Occurs if the user sends <CTRL>-D to a dialog instead of a valid answer.
ezcConsoleInvalidOptionNameException | Thrown if an invalid option name (containing whitespaces or starting with a "-") was received by ezcConsoleOption::__construct.
ezcConsoleOptionException | General exception container for the ConsoleTools component referring to option handling.
ezcConsoleOptionNoAliasException | Occurs if the alias you tried to unregister is not an alias, but a real option.
ezcConsoleInvalidOutputTargetException | Thrown if a given target ezcConsoleOutputFormat could not be opened.
ezcConsoleArgumentAlreadyRegisteredException | There is already an argument registered with the given name or at the given place.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3